Package helma.image

# Class ImageWaiter

java.lang.Object
helma.image.ImageWaiter

All Implemented Interfaces:
  `ImageObserver`

public class ImageWaiter extends Object implements ImageObserver
The ImageWaiter will only be used like this: image = ImageWaiter.waitForImage(image);

## Field Summary

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`imageUpdate(Image img, int infoflags, int x, int y, int w, int h)`
`static Image`
`waitForImage(Image image)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### waitForImage

public static Image waitForImage(Image image)

### imageUpdate

public boolean imageUpdate(Image img, int infoflags, int x, int y, int w, int h)

Specified by:
  `imageUpdate` in interface `ImageObserver`